This project might be open to known security vulnerabilities, which can be prevented by tightening the version range of affected dependencies. Find detailed information at the bottom.

Crate ansi-parser

Dependencies

(2 total, 2 outdated, 1 possibly insecure)

CrateRequiredLatestStatus
 heapless ⚠️^0.5.60.7.10out of date
 nom^4.2.37.1.0out of date

Security Vulnerabilities

heapless: Use-after-free when cloning a partially consumed `Vec` iterator

RUSTSEC-2020-0145

The IntoIter Clone implementation clones the whole underlying Vec. If the iterator is partially consumed the consumed items will be copied, thus creating a use-after-free access.

A proof of concept is available in the original bug report.